package cn.citycraft.Manor.runnable;

import java.util.HashMap;

import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.plugin.Plugin;
import org.bukkit.scheduler.BukkitTask;

public class TaskManager {
	static HashMap<String, BukkitTask> tasklist;
	static Plugin plugin;
	static int tasktime;

	public static void add(Player p, Runnable run) {
		tasklist.put(p.getName(), Bukkit.getScheduler().runTaskTimer(plugin, run, tasktime, tasktime));
	}

	public static void init(Plugin plugin) {
		TaskManager.plugin = plugin;
		tasktime = plugin.getConfig().getInt("CheckTime") * 20;
		tasklist = new HashMap<String, BukkitTask>();
	}

	public static void remove(Player p) {
		if (tasklist.containsKey(p.getName()))
			tasklist.remove(p.getName()).cancel();
	}

}
